package com.danmassey.rugbe.parsers;

import com.danmassey.rugbe.board.Board;
import com.danmassey.rugbe.net.ComChannel;

/**
 * Parses a board in the format:<br/>
 * width height<br/>
 * board<br/>
 * <br/>
 * ex:<br/>
 * 7 5<br/>
 * ..@....<br/>
 * .......<br/>
 * ##.~~~~<br/>
 * ...~~~~<br/>
 * .......<br/>
 * 
 * @author dan
 * Created on Aug 30, 2002
 **/
public class BoardParser {
	private ComChannel com;
	
	/**
	 * @param com
	 **/
	public BoardParser(ComChannel com) {
		this.com = com;
	}


	/**
	 * Parsers the board information returned from the server at startup.
	 * @return a valid board
	 **/
	public Board parse() {
		String[] dimensions = com.readLine().split("\\s");
		int width = Integer.parseInt(dimensions[0]);
		int height = Integer.parseInt(dimensions[1]);
		
		char[] board = new char[width * height];
		for (int i = 0; i < height; i++) {
			String row = com.readLine();
			row.getChars(0, width, board, i * width);	
		}
		
		return new Board(width, height, board);
	}

}
