package com.danmassey.rugbe.parsers;

import com.danmassey.rugbe.net.ComChannel;
import com.danmassey.rugbe.robot.Robot;

/**
 * Parses a robot string in the form: id capacity money
 * <br/><br/>
 * ex:<br>
 * 3 25 1000
 * 
 * @author dan
 * Created on Aug 30, 2002
 **/
public class RobotParser {
	private ComChannel com;
	
	/**
	 * Constructor RobotParser.
	 * @param com
	 **/
	public RobotParser(ComChannel com) {
		this.com = com;
	}


	/**
	 * @return Robot an initialized robot
	 **/
	public Robot parse() {
		String[] configs = com.readLine().split("\\s");
		int id = Integer.parseInt(configs[0]);
		int capacity = Integer.parseInt(configs[1]);
		int money = Integer.parseInt(configs[2]);
		
		return new Robot(id, capacity, money);
	}

}
